Bug 196462 - SPECsfs running on FC5 and later experiencing tons of fh_update: messages and capping performance
SPECsfs running on FC5 and later experiencing tons of fh_update: messages and...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-06-23 10:45 EDT by Barry Marson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-25 15:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Barry Marson 2006-06-23 10:45:49 EDT
Description of problem:

Runs of SPECsfs NFS benchmark are seeing a high number of ...

    kernel: fh_update: dir_ent.00015/file_en.00454 already up-to-date!

type messages in dmesg, and /var/log/messages.  According to Steve Dickson, this
code path is normal, especially with an elevated number of nfsd threads.  We run
with upwards of 256 threads depending on config and filesystem.  Yet the logging
of these of these messages, which I believe is synchronouse kills the benchmarks

Examining the messages file, I have determined we do about 10 messages for every
1000 ops requested.  The data I analyzed showed 100 messages/sec at 10000
Ops/sec.  We are typically testing with 3 times that.

How do we get this informative message shut off or disabled in normal operation ?



Version-Release number of selected component (if applicable):

Tested with FC5-GOLD and verified same behavior in 2.6.16-1.2289_FC6

How reproducible:

Always and with ext3 and xfs (so far).

Steps to Reproduce:
1. Run sfs benchmark with at least nfsd 64 threads
Actual results:

Expected results:

Additional info:
Comment 1 Eric Sandeen 2006-09-25 15:37:29 EDT
This is fixed upstream since late June:


[PATCH] knfsd: remove noise about filehandle being uptodate

There is a perfectly valid situation where fh_update gets called on an already
uptodate filehandle - in nfsd_create_v3 where a CREATE_UNCHECKED finds an
existing file and wants to just set the size.


- printk(KERN_ERR "fh_update: %s/%s already up-to-date!\n",
- dentry->d_parent->d_name.name, dentry->d_name.name);
- goto out;

and it seems to be fine in FC6 now.  Not sure about FC5 but since this bug is
against FC6 I think it's fixed.

Note You need to log in before you can comment on or make changes to this bug.